> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Create a Field Option

`POST https://api.pagerduty.com/services/custom_fields/{field_id}/field_options`

Create a new option for the given field.

Scoped OAuth requires: `custom_fields.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `field_id` | string | yes | The ID of the field. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `field_option` | object | yes | An option for a custom field. Can only be applied to fields with a `field_type` of `single_value_fixed` or `multi_value_fixed`. |
| `field_option.data` | object | yes | The data content of the field option. |
| `field_option.data.data_type` | string | yes | The kind of data represented by this option. Must match the Field's `data_type`. One of: `string`. |
| `field_option.data.value` | string | yes | The value of the field option. Must be unique within the field. Max length: 200. |

Example: Request Example

```json
{
  "field_option": {
    "data": {
      "data_type": "string",
      "value": "production"
    }
  }
}
```

## Response 201

The field option created.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `field_option` | object |  |  |
| `field_option.created_at` | string (date-time) |  | The date/time the object was created at. |
| `field_option.data` | object |  |  |
| `field_option.data.data_type` | string |  | The kind of data represented by this option. Must match the Field's `data_type`. One of: `string`. |
| `field_option.data.value` | string |  | Max length: 200. |
| `field_option.id` | string |  | The ID of the resource. |
| `field_option.type` | string |  | One of: `field_option`. |
| `field_option.updated_at` | string (date-time) |  | The date/time the object was updated at. |

Example: Response Example

```json
{
  "field_option": {
    "created_at": "2023-01-01T00:00:00Z",
    "data": {
      "data_type": "string",
      "value": "production"
    },
    "id": "OPT1",
    "type": "field_option",
    "updated_at": "2023-01-01T00:00:00Z"
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
